function fig = dataGUI()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

h0 = figure('Units','points', ...
	'Color',[0.8 0.8 0.8], ...
	'Tag','dataGUI');

info = [];
	
info.axes = axes('Parent',h0, ...
	'Units','normal', ...
	'CameraUpVector',[0 1 0], ...
	'Color',[1 1 1], ...
	'Position',[0.26 0.08 0.73 0.87], ...
	'Tag','Axes1', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
	'ZColor',[0 0 0]);
hold on;
axis(axis);

icons = strvcat('text(.5,.5,''Load Data'',''Horiz'',''center'')',...
		 'text(.5,.5,''Save Data'',''Horiz'',''center'')');

callbacks = ['loadDatacbk'
			 'saveDatacbk'];

info.dataBTN = btngroup('GroupID', 'data', ...
	'ButtonID', ['B1';'B2'], ...
	'Callbacks', callbacks, ...
    'Units','normal', ...
	'Position',[0.01 0.8 0.2 0.15], ...
	'PressType','flash',...
	'IconFunctions', icons);

icons = strvcat('text(.5,.5,''Add Point'',''Horiz'',''center'')',...
		 'text(.5,.5,''Remove Point'',''Horiz'',''center'')');

callbacks = ['addPointcbk(1)'
			 'remPointcbk(1)'];

info.pointsBTN = btngroup('GroupID', 'points', ...
	'ButtonID', ['B1';'B2'], ...
	'Callbacks', callbacks, ...
    'Units','normal', ...
	'Position',[0.01 0.6 0.2 0.15], ...
	'IconFunctions', icons);

info.class = uicontrol('Parent',h0, ...
	'Units','normal', ...
	'Position',[0.01 0.49 0.2 0.075], ...
	'String','All|Other...', ...
	'Style','popupmenu', ...
	'Callback', 'classcbk', ...
    'Tag','PopupMenu2', ...
	'Value',1);

info.d1 = uicontrol('Parent',h0, ...
	'Units','normal', ...
	'Position',[0.01 0.4 0.2 0.075], ...
	'String','1|2', ...
	'Style','popupmenu', ...
	'Tag','PopupMenu2', ...
	'callback','dimcbk',...
	'Value',1);

info.d2 = uicontrol('Parent',h0, ...
	'Units','normal', ...
	'Position',[0.01 0.35 0.2 0.075], ...
	'String','1|2', ...
	'Style','popupmenu', ...
	'Tag','PopupMenu2', ...
	'callback','dimcbk',...
	'Value',2);

info.addFeatBTN = uicontrol('Parent',h0, ...
	'Units','normal', ...
	'Position',[0.01 0.29 0.2 0.075], ...
	'Callback','addFeatcbk',...
	'String','Add Feature...', ...
	'Tag','Pushbutton1');

info.clusterPOP = uicontrol('Parent',h0, ...
	'Units','normal', ...
	'Position',[0.01 0.16 0.2 0.075], ...
	'String','1|2', ...
	'String','unsupervised|cMeans|fcMeans|pcMeans ', ...
	'Callback','unsupcbk',...
	'Style','popupmenu', ...
	'Tag','PopupMenu1', ...
	'Value',1);

info.classPOP = uicontrol('Parent',h0, ...
	'Units','normal', ...
	'Position',[0.01 0.06 0.2 0.075], ...
	'String','supervised|kNN|smoothknn|SVM', ...
	'Style','popupmenu', ...
	'Tag','PopupMenu1', ...
	'Value',1);


info.data = dataset;
info.colors = {'r+','g+','b+','y+','m+','k+','c+','r*','g*','b*','y*','m*','k*','c*',...
			   'rx','gx','bx','yx','mx','kx','cx','ro','go','bo','yo','mo','ko','co',...
			   'rs','gs','bs','ys','ms','ks','cs','rd','gd','bd','yd','md','kd','cd',...
			   'rp','gp','bp','yp','mp','kp','cp','rh','gh','bh','yh','mh','kh','ch'};
info.defaultLoc = [0 0];
info.defaultClass = '';
info.sel = {};

set (h0,'userData',info);

if nargout > 0, fig = h0; end

